Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Interface AbstractEventBus.Handle<E,P extends Comparable<P>,C,K>

Show UML class diagram

All Superinterfaces:
  EventBus.Handle<E,P,C>

Enclosing class:
  AbstractEventBus<E,P extends Comparable<P>,C,K,H extends AbstractEventBus.Handle<E,P,C,K>,S extends EventStore<E,P,C,H,S>>

    public static interface AbstractEventBus.Handle<E,P extends Comparable<P>,C,K>

extends EventBus.Handle<E,P,C>

Event handle.

Method Summary
`void` | `addDerivation(K handlerId, EventHandler<E,P,C,?,?> handler, AbstractEventBus.Handle<E,P,C,K>[] inputs)` For internal use.
`K` | `getId()`
`boolean` | `isDirectPost()`
`void` | `setDirectPost()` Sets direct post to true.
`
`<H extends AbstractEventBus.Handle<E,P,C,K>,S extends EventStore<E,P,C,H,S>> void`
` | `setStoreHandle( storeHandle)` Callback method.
`void` | `update()` For internal use, shall not be invoked by client code.

Methods inherited from interface com.hammurapi.eventbus.EventBus.Handle
`getDerivations, getEvent, isDerivedFrom, isValid, remove`

Method Detail

### update

    void update()

  For internal use, shall not be invoked by client code.

  Specified by:
    `update` in interface `EventBus.Handle<E,P extends Comparable<P>,C>`

### getId

    K getId()

### setStoreHandle

    <H extends AbstractEventBus.Handle<E,P,C,K>,S extends EventStore<E,P,C,H,S>> void setStoreHandle( storeHandle)

  Callback method. For internal use.

  Parameters:
    `storeHandle` -

### addDerivation

    void addDerivation(K handlerId,
                       EventHandler<E,P,C,?,?> handler,
                       AbstractEventBus.Handle<E,P,C,K>[] inputs)

  For internal use.

  Parameters:
    `derivation` -

### isDirectPost

    boolean isDirectPost()

  Returns:
    true if this handle's event was posted by client code.

### setDirectPost

    void setDirectPost()

  Sets direct post to true. For internal use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD